/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a1fad87e9cd34cde2b2e1614ef093ab9a",
"IOStream_8cc.html#aa922dd9b33377332dd6c7dc3060832a5",
"Logger_8h_source.html",
"OnMediaLocation_8cc.html#a633d478e6ae9600415f710d9d196c123",
"PoolMember_8h.html#ab5e5dac3b36b16c1d7403ee5c6b6c737",
"RepoInfo_8cc.html#aa3dd9e5573811be76bed007a5cf8dbd8",
"RpmPostTransCollector_8cc.html#a0d75cd4c01be75dfc7314108f48ab5e7",
"String_8cc.html#a2cd43cfb7443c1874fdff04acd6d5f7a",
"TmpPath_8h.html#a4cf439004d8decf3fd0cfebfd6e03020",
"classSelectableFilterFunctor.html",
"classzypp_1_1Capabilities.html#a2488eae9ba9bf46a7ce0f63fc5f49a0a",
"classzypp_1_1CpeId.html#ac5eb91ccb3dc540ba13beaae6fe9b093",
"classzypp_1_1Errno.html#aa7f7c13f8729a56374609c1ea6be6c68",
"classzypp_1_1HistoryLogDataRepoAliasChange.html#a994a292e14cfee19824406d8b9320c66",
"classzypp_1_1KeyRing.html#ae88df8b3976dbd9d8b38eb04c43930fc",
"classzypp_1_1OnMediaLocation.html#aaf9a11c154ef964370e1351db957a857",
"classzypp_1_1PluginScript.html#af0b2a0015fd0768adaa00942a26251cd",
"classzypp_1_1Product.html#aab84613254f1d11a2905a06b9749c213",
"classzypp_1_1RepoInfo.html#ab52e3d80a13b51696c2423959b605f7f",
"classzypp_1_1ResPool.html#a3cc1eeb01183a6d69c5620457b972c94",
"classzypp_1_1ResStatus.html#acfc9c6cff6b2b14125bfe066bf5d5a47",
"classzypp_1_1SignatureFileChecker.html#a8bb3cfcc3ad9ce7a27a465deaff78184",
"classzypp_1_1ZConfig.html#a32609e4313e3ba9d31b8ee965c3cbf8f",
"classzypp_1_1ZYppGlobalLock.html#a7e00086e40e74b70b1c16497676055c0",
"classzypp_1_1bit_1_1BitField.html#ae34a96187910d9b3de34738990849959",
"classzypp_1_1filesystem_1_1PathInfo.html#a487a7b4de4b0321a4004d6da2d42e761",
"classzypp_1_1media_1_1AuthData.html#ab49b90f93475934b11ad614adee04906",
"classzypp_1_1media_1_1MediaCurl.html#aea605fe5dba491b9f65deee1c367f8dd",
"classzypp_1_1media_1_1MediaMultiCurl.html#a9ebc9008391461e5df94dd29ddedad76",
"classzypp_1_1media_1_1TransferSettings.html#ad13493055cd770426446998409da07f3",
"classzypp_1_1parser_1_1ProductFileReader.html#a625cef1d3fad9a9d706320bae60b0c5d",
"classzypp_1_1repo_1_1RepoMediaAccess.html#acd61de5c9892053c40f0fd46f634fc31",
"classzypp_1_1sat_1_1LookupAttr_1_1TransformIterator.html#a96a4f1f30def2aca157e29040666bafe",
"classzypp_1_1sat_1_1SolvAttr.html#a83000a32d8004628d1401cc206be1427",
"classzypp_1_1sat_1_1Transaction.html#a712192e193eb6e1cfc997728e07e2218",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemDelete.html#aa1786b809761245c0427083d6bc37e30",
"classzypp_1_1target_1_1RpmInstallPackageReceiver.html#aded9274dac5b75461c5649bc7d114d70",
"classzypp_1_1target_1_1rpm_1_1RpmDbOpenException.html",
"classzypp_1_1ui_1_1Selectable.html#aacbfa81bd15bcda90d33fededae6328d",
"classzypp_1_1xml_1_1ParseDefConsumeRedirect.html#a6e0b0888bcaa09aaa1a3e201ba17bc8c",
"functions_vars_q.html",
"group__ZYPP__THROW.html#gae36ccdcc7e2f47609c657c5400d63a8e",
"pool_2PoolImpl_8cc.html",
"structzypp_1_1Dep.html#ababde4942c5b438fe8b88b7988e8cd7a",
"structzypp_1_1MapKVIteratorTraits.html#aff47051b8c38861762d61822fb02ca1f",
"structzypp_1_1RWCOW__pointer.html#a502815bdfdc5ff6be73bc29d91e3b1d6",
"structzypp_1_1ResPoolProxy_1_1Impl.html#a6bea76b998ee0a737af590089ec12702",
"structzypp_1_1base_1_1logger_1_1LogControlImpl.html#a500f03d55cc744afb9ec5ddd4aae0820",
"structzypp_1_1json_1_1Array.html#a80b7457046cf4e679863d2f8fb345d8c",
"structzypp_1_1parser_1_1ProductNode.html#abe9bca397348abd75f9fb1fc74ef2210",
"structzypp_1_1rw__pointer_1_1Shared.html#a62bc1dff7c29fbe8e7b5a6229530274b",
"structzypp_1_1target_1_1PatchScriptReport.html#ac121e416353e9db22ffd568990e84c65a8734b5205b36dddaaf52b2cb1cb37111",
"structzypp_1_1xml_1_1ParseDefBuildException.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';